package application

import (
	"sirlab.de/go/knyt/user"
	"sirlab.de/go/knyt/users"
)

type Application struct {
	Config ApplicationConfig
	users  users.Users
}

func NewApplication(config ApplicationConfig) *Application {
	app := Application{
		Config: config,
		users:  users.NewUsers(),
	}

	app.users.AddUser(user.NewUser("120", "Settel", user.ROLE_ADMIN))

	return &app
}

func (app *Application) GetUsers() *users.Users {
	return &app.users
}
